Skip to main content
`Ctrl`+`K`

# PCDeflationGetPC

Returns the additional preconditioner M^{-1}.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationGetPC(PC pc, PC *apc)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- apc - additional preconditioner

## See Also

KSP: Linear System Solvers, `PCDEFLATION`, `PCDeflationGetCoarseKSP()`

## Level

advanced

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationGetPC_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages